### Function

# FwupdPlugin kernel_parse_config

#### Declaration [src]

    GHashTable*
    fu_kernel_parse_config (
      const gchar* buf,
      gsize bufsz,
      GError** error
    )

#### Description [src]

Parses all the kernel options into a hash table. Commented out options are not included.

Available since: | 1.9.6

#### Parameters

`buf` | `const gchar*`
| Cmdline to parse.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`bufsz` | `gsize`
| Size of `bufsz`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GHashTable`
| Config keys.
| The caller of the function takes ownership of the data container, but not the data inside it.